From: = Yan Lei <yan_lei@dahuatech.com>
Date: Fri, 25 Mar 2022 13:54:50 +0800
Subject: [PATCH] fix CWE-457: Use of an unitialized variable

dahua inclusion
category: bugfix
bugzilla: https://gitee.com/openeuler/kernel/issues/I4YYAE
CVE: NA

---------------------------------------------------------
Declaring variable without initializer.
Using uninitialized value or its member.


Signed-off-by: Yan Lei <yan_lei@dahuatech.com>
---
 drivers/memstick/host/rtsx_usb_ms.c                 | 2 +-
 drivers/misc/sgi-gru/grukservices.c                 | 2 +-
 drivers/net/ethernet/netswift/txgbe/txgbe_ethtool.c | 6 +++---
 drivers/net/ethernet/netswift/txgbe/txgbe_hw.c      | 6 +++---
 4 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/drivers/memstick/host/rtsx_usb_ms.c b/drivers/memstick/host/rtsx_usb_ms.c
index 29271ad47..6d75b94f7
--- a/drivers/memstick/host/rtsx_usb_ms.c
+++ b/drivers/memstick/host/rtsx_usb_ms.c
@@ -457,7 +457,7 @@ static int rtsx_usb_ms_issue_cmd(struct rtsx_usb_ms *host)
 {
 	struct memstick_request *req = host->req;
 	int err = 0;
-	u8 cfg = 0, int_reg;
+	u8 cfg = 0, int_reg = 0;
 
 	dev_dbg(ms_dev(host), "%s\n", __func__);
 
diff --git a/drivers/misc/sgi-gru/grukservices.c b/drivers/misc/sgi-gru/grukservices.c
index 0ea923fe6..0df565812
--- a/drivers/misc/sgi-gru/grukservices.c
+++ b/drivers/misc/sgi-gru/grukservices.c
@@ -453,7 +453,7 @@ static int gru_wait_idle_or_exception(struct gru_control_block_status *gen)
 static int gru_retry_exception(void *cb)
 {
 	struct gru_control_block_status *gen = (void *)cb;
-	struct control_block_extended_exc_detail excdet;
+	struct control_block_extended_exc_detail excdet = {0};
 	int retry = EXCEPTION_RETRY_LIMIT;
 
 	while (1)  {
diff --git a/drivers/net/ethernet/netswift/txgbe/txgbe_ethtool.c b/drivers/net/ethernet/netswift/txgbe/txgbe_ethtool.c
index 399bec32a..df0f2393a
--- a/drivers/net/ethernet/netswift/txgbe/txgbe_ethtool.c
+++ b/drivers/net/ethernet/netswift/txgbe/txgbe_ethtool.c
@@ -179,7 +179,7 @@ int txgbe_get_link_ksettings(struct net_device *netdev,
 {
 	struct txgbe_adapter *adapter = netdev_priv(netdev);
 	struct txgbe_hw *hw = &adapter->hw;
-	u32 supported_link;
+	u32 supported_link = 0;
 	u32 link_speed = 0;
 	bool autoneg = false;
 	u32 supported, advertising;
@@ -1357,7 +1357,7 @@ static void txgbe_get_strings(struct net_device *netdev, u32 stringset,
 static int txgbe_link_test(struct txgbe_adapter *adapter, u64 *data)
 {
 	struct txgbe_hw *hw = &adapter->hw;
-	bool link_up;
+	bool link_up = 0;
 	u32 link_speed = 0;
 
 	if (TXGBE_REMOVED(hw->hw_addr)) {
@@ -2657,7 +2657,7 @@ static int txgbe_add_ethtool_fdir_entry(struct txgbe_adapter *adapter,
 	struct txgbe_hw *hw = &adapter->hw;
 	struct txgbe_fdir_filter *input;
 	union txgbe_atr_input mask;
-	int err;
+	int err = 0;
 	u16 ptype = 0;
 
 	if (!(adapter->flags & TXGBE_FLAG_FDIR_PERFECT_CAPABLE))
diff --git a/drivers/net/ethernet/netswift/txgbe/txgbe_hw.c b/drivers/net/ethernet/netswift/txgbe/txgbe_hw.c
index 876470341..bbda30b75
--- a/drivers/net/ethernet/netswift/txgbe/txgbe_hw.c
+++ b/drivers/net/ethernet/netswift/txgbe/txgbe_hw.c
@@ -238,7 +238,7 @@ bool txgbe_device_supports_autoneg_fc(struct txgbe_hw *hw)
 {
 	bool supported = false;
 	u32 speed;
-	bool link_up;
+	bool link_up = 0;
 	u8 device_type = hw->subsystem_id & 0xF0;
 
 	DEBUGFUNC("\n");
@@ -1583,8 +1583,8 @@ STATIC s32 txgbe_fc_autoneg_copper(struct txgbe_hw *hw)
 void txgbe_fc_autoneg(struct txgbe_hw *hw)
 {
 	s32 ret_val = TXGBE_ERR_FC_NOT_NEGOTIATED;
-	u32 speed;
-	bool link_up;
+	u32 speed = 0;
+	bool link_up = 0;
 
 	DEBUGFUNC("\n");
 
-- 
2.30.0

